# Contributing

## Get Started

```bash
yarn
```

## Test

- All Tests: `yarn test`
- E2E Tests: `yarn test:e2e` (run `yarn setup` before to setup the containers running the sample
  PostgREST instance).
- Lint Tests: `yarn test:lint`
- Unit Tests: `yarn test:unit`
- Unit Tests (watch): `yarn test:watch`

## Release

```bash
npm version [major|minor|patch]
```

This will automatically:

1. Update the changelog
2. Create and checkout a new version branch
3. Bump the version and tag it
4. Push the branch and tags
5. Generate a new Github Release
6. Build and publish it to npm

## Recommended IDE Settings

### Visual Studio Code

```json
{
  "editor.codeActionsOnSave": {
    "source.fixAll": true
  },
  "eslint.codeActionsOnSave.mode": "all",
  "editor.defaultFormatter": "dbaeumer.vscode-eslint",
  "eslint.format.enable": true,
  "eslint.packageManager": "yarn",
  "[json]": {
    "editor.defaultFormatter": "esbenp.prettier-vscode"
  }
}
```
